////////////////////////////////////////////////////////////
// DiskUtil class interface
//   Demo class for ObjectOrientedProgramming
//   02/28/04 - Burns
#include <iostream>
#include <windows.h>
using namespace std;

const int MAX_STRING_LEN = 256;

class DiskUtil
{
private:
  char _currentDirectory[ MAX_STRING_LEN ];
  HANDLE hFind;
  WIN32_FIND_DATA findData;

public:
  DiskUtil();
  ~DiskUtil();
  
  DiskUtil&   setCurrentDirectory( const char* );
  const char* getCurrentDirectory();

  bool makeDirectory( const char* );
  bool removeDirectory( const char* );

  long createFile( const char*, long, const char* );
  long getFile( const char*, long, char* );

  bool copyFile( const char*, const char* );
  bool deleteFile( const char* );
  bool moveFile( const char*, const char* );
  bool renameFile( const char*, const char* );

  bool getFirstFileInDirectory( char*, const char* = "*.*", SYSTEMTIME* = NULL);
  bool getNextFileInDirectory ( char*, SYSTEMTIME* = NULL );
};
