#include <iostream>
#include "DiskUtils.h"

using namespace std;

void main()
{
  // Demonstrate the DiskUtil class
  DiskUtil diskUtil;

  // make a temp folder in the current directory, then go to it
  string filePath = diskUtil.getCurrentDirectory();
  filePath.append( "\\temp" );
  diskUtil.makeDirectory( filePath.c_str() );
  diskUtil.setCurrentDirectory( filePath.c_str() );

  // create a file in our temp directory
  char fileContent[] = "Place this text into a file";
  long fileSize = strlen( fileContent );
  diskUtil.createFile( "testFile.test", fileSize, fileContent );

  // copy our file
  diskUtil.copyFile( "testFile.test", "anotherTestFile.test" );

  // get a list of the .test files in the current directory
  char fileName[ MAX_STRING_LEN ];
  SYSTEMTIME sysTime;
  if ( diskUtil.getFirstFileInDirectory( fileName, "*.test", &sysTime ) )
  {
    do
    {
      cout << diskUtil.getCurrentDirectory() << "\\" << fileName
           << " "
           << sysTime.wMonth << "/" << sysTime.wDay << "/" << sysTime.wYear
           << " "
           << sysTime.wHour << ":" << sysTime.wMinute << ":" << sysTime.wSecond
           << endl;
    }
    while ( diskUtil.getNextFileInDirectory( fileName, &sysTime ) );
  }

  // rename a file
  diskUtil.renameFile( "testFile.test", "renamedFile.test" );

  // remove our test files
  diskUtil.deleteFile( "renamedFile.test" );
  diskUtil.deleteFile( "anotherTestFile.test" );

  // remove our temp folder
  diskUtil.setCurrentDirectory( ".." ); // can't be in it when we delete it
  diskUtil.removeDirectory( filePath.c_str() );
}